> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trio.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Card Details

> Card sensitive information: holder name, card number, expiration date and cvv



## OpenAPI

````yaml api-reference/banking-api/openapi.json GET /banking/cards/{id}/info
openapi: 3.0.0
info:
  title: Banking API
  version: 1.0.0
servers:
  - url: https://api.sandbox.trio.com.br
    variables: {}
  - url: https://api.qa.trio.com.br
    variables: {}
  - url: https://api.trio.com.br
    variables: {}
security: []
tags: []
paths:
  /banking/cards/{id}/info:
    get:
      tags:
        - cards
      summary: Get card details
      description: >-
        Card sensitive information: holder name, card number, expiration date
        and cvv
      operationId: TrioFoundationWeb.Banking.Card.CardController.show_sensitive_info
      parameters:
        - description: Card ID
          in: path
          name: id
          required: true
          schema:
            $ref: '#/components/schemas/UUID'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Card_Sensitive_Data'
          description: Card Details
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
      callbacks: {}
components:
  schemas:
    UUID:
      description: Unique identifier
      format: uuid
      title: UUID
      type: string
    Card_Sensitive_Data:
      description: Card sensitive data
      example:
        data:
          expiration_date: '2022-12-31T23:59:59Z'
          holder_name: John Doe
          number: '5209199870273875'
          security_code: '123'
      properties:
        data:
          properties:
            expiration_date:
              description: Expiration date
              type: string
            holder_name:
              description: Holder Name
              type: string
            number:
              description: Card number
              type: string
            security_code:
              description: Security code
              type: string
          type: object
      title: Card Sensitive Data
      type: object
    JsonErrorResponse:
      properties:
        errors:
          items:
            properties:
              detail:
                example: null value where string expected
                type: string
              source:
                properties:
                  pointer:
                    example: /data/attributes/petName
                    type: string
                required:
                  - pointer
                type: object
              title:
                example: Invalid value
                type: string
            required:
              - title
              - source
              - detail
            type: object
          type: array
      required:
        - errors
      title: JsonErrorResponse
      type: object

````